Subject: Re: bug#51674: 29.0.50; [PATCH] Fix hang when displaying xwidget script dialog

From: Po Lu <[email-masked]>
Date: Mon, 08 Nov 2021 13:45:04 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> Great!  What's the function to insert an xwidget at point in a buffer?

`xwidget-insert', but I get the feeling it's an API intended to be
private to xwidget-webkit-mode.  I don't know, as I wasn't the author
of most of the user facing xwidget-webkit-mode code.

What I would do instead is to use `make-xwidget' to create an xwidget,
and then to make it the display property of a piece of text, like one
would an image spec.

Thanks.